## qt-mobility 1.0.2-maemo4%2b0m5

=== debian/changelog ===
qt-mobility (1:1.0.2-maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1:1.0.2-maemo4+0m5

 -- Shane Bradley <shane.bradley@nokia.com>  Thu, 09 Sep 2010 13:36:16 +0300

qt-mobility (1:1.0.2-maemo4) unstable; urgency=low

   * Fixes: NB#191010 - Qt Mobility Sensors API plugins not correctly optified in PE1 SSU upgrade

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 09 Sep 2010 17:45:13 +1000

qt-mobility (1:1.0.2-maemo3) unstable; urgency=low

   * Optification of Mobility libraries.
   * Fixes: NB#189445 - Integrate Qt Mobility 1.0.2 to Fremantle PE1 image

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 02 Sep 2010 17:45:13 +1000

qt-mobility (1:1.0.2-maemo2) unstable; urgency=low

  * Move servicefw from libqtm-dev to libqtm-serviceframework 

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 23 Aug 2010 13:57:25 +0300
