## qt-mobility 1.0.2-maemo4+0m5+0cssu1+thumb2

=== debian/changelog ===
qt-mobility (1:1.0.2-maemo4+0m5+0cssu1+thumb2) unstable; urgency=low

  * add missing includes

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 15 Sep 2012 11:15:21 +0300

qt-mobility (1:1.0.2-maemo4+0m5+0cssu1-thumb1) unstable; urgency=low

  * add kernel errata dependency

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri, 15 Jun 2012 17:16:33 +0300

qt-mobility (1:1.0.2-maemo4+0m5+0cssu1-thumb0) unstable; urgency=low

  * Thumb2 build

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri, 13 Jun 2012 16:32:42 +0300

qt-mobility (1:1.0.2-maemo4+0m5+0cssu1) unstable; urgency=low

  * Fixed build under Qt 4.7.4
    version has been changed to 1:1.0.2-maemo4+0m5-cssu1

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri, 02 Sep 2011 21:12:16 +0300
