=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: libqt4-dev (>= 4.6.0), cdbs, debhelper (>= 5), autotools-dev, quilt, libasound2-dev, libgconf2-dev,
  libosso-abook-dev, libdbus-1-dev, libgconf2-dev, libglib2.0-dev, libsqlite3-dev, liblocation-dev, libgstreamer0.10-dev, 
  libgstreamer-plugins-base0.10-dev, libtpsession-dev (>= 0.1-4), libxml2-dev, libxv-dev, libasound2-dev,
- libconninet0-dev, libconnsettings0-dev, libicd-network-wlan-dev, libbluetooth3-dev, libtelepathy-qt4-dev, libxrandr-dev
+ libconninet0-dev, libconnsettings0-dev, libicd-network-wlan-dev, libbluetooth3-dev, libtelepathy-qt4-dev, libxrandr-dev, gstreamer0.10-plugins-bad-dev, maemo-optify
 Standards-Version: 3.7.2
 
 Package: libqtm-dev
@@ -28,7 +28,7 @@
 Package: libqtm-bearer
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Description: Qt Mobility Bearer module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -44,7 +44,7 @@
 Package: libqtm-location
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Description: Qt Mobility location module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -60,7 +60,7 @@
 Package: libqtm-contacts
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Description: Qt Mobility contacts module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -76,7 +76,7 @@
 Package: libqtm-multimedia
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, n900-fmrx-enabler [arm armel]
+Depends: ${shlibs:Depends}, ${misc:Depends}, n900-fmrx-enabler [arm armel], kernel-feature-errata-430973-workaround[armel]
 Description: Qt Mobility multimedia module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -92,7 +92,7 @@
 Package: libqtm-publishsubscribe
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Description: Qt Mobility publish and subscribe module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -106,7 +106,7 @@
 Package: libqtm-versit
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Description: Qt Mobility versit module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -122,7 +122,7 @@
 Package: libqtm-messaging
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, qtm-modest-plugin (>= 0.0.2-4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, qtm-modest-plugin (>= 0.0.2-4), kernel-feature-errata-430973-workaround[armel]
 Description: Qt Mobility messaging module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -136,7 +136,7 @@
 Package: libqtm-systeminfo
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Description: Qt Mobility system information module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -152,7 +152,7 @@
 Package: libqtm-serviceframework
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, kernel-feature-errata-430973-workaround[armel]
 Replaces: libqtm-dev (<< 1:1.0.2-maemo2) 
 Breaks: libqtm-dev (<< 1:1.0.2-maemo2)
 Description: Qt Mobility service framework module
@@ -170,7 +170,7 @@
 Package: libqtm-sensors
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Description: Qt Mobility sensors framework module
  Qt Mobility Project delivers a set of new APIs to Qt with features that are
  well known from the mobile device world, in particular phones. However, 
@@ -186,7 +186,7 @@
 Package: qt-mobility-examples
 Architecture: any
 Section: user/libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Conflicts: libqtm-examples 
 Replaces: libqtm-examples
 Description: Qt Mobility examples 
@@ -275,18 +275,3 @@
  framework and apply them to phones, netbooks and non-mobile personal 
  computers.
  .
- This packages contains the debugging symbols for the Qt versit libraries.
-
-Package: libqtm-messaging-dbg
-Architecture: any
-Section: debug
-Depends: libqtm-messaging (= ${binary:Version}) 
-Description: Qt Mobility library debugging symbols
- Qt Mobility Project delivers a set of new APIs to Qt with features that are
- well known from the mobile device world, in particular phones. However, 
- these APIs allow the developer to use these features with ease from one 
- framework and apply them to phones, netbooks and non-mobile personal 
- computers.
- .
- This packages contains the debugging symbols for the Qt messaging libraries.
-
